#
# spec file for package kdevplatform4
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdevplatform4
Version:        1.7.3
Release:        3.5
%define rname kdevplatform
%define kdevelop_version 4.7.3
%define libkdev_major 8
Summary:        Base Package for Integrated Development Environments
License:        GPL-2.0+
Group:          Development/Tools/IDE
Url:            http://www.kdevelop.org
Source0:        http://download.kde.org/stable/kdevelop/%{kdevelop_version}/src/%{rname}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM fix-for-null-pointer-dereference-with-gcc6.patch kde#360707
Patch1:         fix-for-null-pointer-dereference-with-gcc6.patch
BuildRequires:  boost-devel
BuildRequires:  db-devel
BuildRequires:  fdupes
BuildRequires:  grantlee-devel
BuildRequires:  libkde4-devel >= 4.7
BuildRequires:  libqjson-devel
BuildRequires:  subversion-devel
BuildRequires:  xz
#BuildRequires:  kompare - currently disabled upstream, see toplevel CMakeLists.txt
Requires:       %{name}-lang = %{version}
Requires:       libkdevplatform%{libkdev_major} = %{version}
BuildRoot:      %{_tmppath}/%{rname}-%{version}-build
%kde4_runtime_requires

%description
This package contains the common plugins for integrated developments
environment based on the KDevelop framework.

%lang_package
%prep
%setup -q -n %{rname}-%{version}
%if 0%{?suse_version} > 1320
%patch1 -p1
%endif
echo "find_package(Msgfmt REQUIRED)" >> CMakeLists.txt
echo "find_package(Gettext REQUIRED)" >> CMakeLists.txt
%if 0%{?suse_version} <= 1320 && !0%{?is_opensuse}
# fix build with older cmake versions (i.e. on 13.2 and below) by
# readding "cmake_policy(SET CMP0002 OLD)" to po/CMakeLists.txt
# (was in there before but has been removed in 1.7.3)
sed -i -e "1s/^/cmake_policy(SET CMP0002 OLD)\n/" po/CMakeLists.txt
%endif

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %make_install
  %kde_post_install
  %fdupes %{buildroot}%{_datadir}/locale
  cd ..
  %find_lang kdevappwizard %{rname}.lang
  %find_lang kdevclassbrowser %{rname}.lang
  %find_lang kdevcodeutils %{rname}.lang
  %find_lang kdevcontextbrowser %{rname}.lang
  %find_lang kdevcvs %{rname}.lang
  %find_lang kdevdocumentswitcher %{rname}.lang
  %find_lang kdevdocumentview %{rname}.lang
  %find_lang kdevexecute %{rname}.lang
  %find_lang kdevexecutescript %{rname}.lang
  %find_lang kdevexternalscript %{rname}.lang
  %find_lang kdevfilemanager %{rname}.lang
  %find_lang kdevfiletemplates %{rname}.lang
  %find_lang kdevgenericprojectmanager %{rname}.lang
  %find_lang kdevgit %{rname}.lang
  %find_lang kdevgrepview %{rname}.lang
  %find_lang kdevkonsole %{rname}.lang
  %find_lang kdevopenwith %{rname}.lang
  %find_lang kdevpastebin %{rname}.lang
  %find_lang kdevpatchreview %{rname}.lang
  %find_lang kdevplatform %{rname}.lang
  %find_lang kdevproblemreporter %{rname}.lang
  %find_lang kdevprojectdashboard %{rname}.lang
  %find_lang kdevprojectfilter %{rname}.lang
  %find_lang kdevprojectmanagerview %{rname}.lang
  %find_lang kdevquickopen %{rname}.lang
  %find_lang kdevreviewboard %{rname}.lang
  %find_lang kdevsnippet %{rname}.lang
  %find_lang kdevstandardoutputview %{rname}.lang
  %find_lang kdevsubversion %{rname}.lang
  %find_lang kdevswitchtobuddy %{rname}.lang
  %find_lang kdevtemplates_config %{rname}.lang
  %find_lang kdevtestview %{rname}.lang
  %find_lang kdevvcsprojectintegration %{rname}.lang

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files lang -f %{rname}.lang

%package -n libkdevplatform4-devel
Summary:        Base Package for Integrated Development Environments: Build Environment
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}
Requires:       libkdevplatform%{libkdev_major} = %{version}

%description -n libkdevplatform4-devel
This package contains the development files for building integrated
developments environments based on the KDevelop framework.

%files -n libkdevplatform4-devel
%defattr(-,root,root)
%{_kde4_includedir}/kdevplatform
%{_kde4_libdir}/libkdevplatformdebugger.so
%{_kde4_libdir}/libkdevplatformdocumentation.so
%{_kde4_libdir}/libkdevplatformjsontests.so
%{_kde4_libdir}/libkdevplatforminterfaces.so
%{_kde4_libdir}/libkdevplatformlanguage.so
%{_kde4_libdir}/libkdevplatformoutputview.so
%{_kde4_libdir}/libkdevplatformproject.so
%{_kde4_libdir}/libkdevplatformshell.so
%{_kde4_libdir}/libkdevplatformtests.so
%{_kde4_libdir}/libkdevplatformutil.so
%{_kde4_libdir}/libkdevplatformvcs.so
%{_kde4_libdir}/libsublime.so
%{_kde4_libdir}/cmake

%package -n libkdevplatform%{libkdev_major}
Summary:        Libraries for Integrated Development Environments
Group:          Development/Tools/IDE
Requires:       %{name} = %{version}
Obsoletes:      libkdevplatform0

%description -n libkdevplatform%{libkdev_major}
This package contains the libraries for integrated development
environments based on the KDevelop framework.

%post -n libkdevplatform%{libkdev_major} -p /sbin/ldconfig

%postun -n libkdevplatform%{libkdev_major} -p /sbin/ldconfig

%files -n libkdevplatform%{libkdev_major}
%defattr(-,root,root)
%{_kde4_libdir}/libkdevplatformdebugger.so.%{libkdev_major}*
%{_kde4_libdir}/libkdevplatformdocumentation.so.%{libkdev_major}*
%{_kde4_libdir}/libkdevplatformjsontests.so.%{libkdev_major}*
%{_kde4_libdir}/libkdevplatforminterfaces.so.%{libkdev_major}*
%{_kde4_libdir}/libkdevplatformlanguage.so.%{libkdev_major}*
%{_kde4_libdir}/libkdevplatformoutputview.so.%{libkdev_major}*
%{_kde4_libdir}/libkdevplatformproject.so.%{libkdev_major}*
%{_kde4_libdir}/libkdevplatformshell.so.%{libkdev_major}*
%{_kde4_libdir}/libkdevplatformtests.so.%{libkdev_major}*
%{_kde4_libdir}/libkdevplatformutil.so.%{libkdev_major}*
%{_kde4_libdir}/libkdevplatformvcs.so.%{libkdev_major}*
%{_kde4_libdir}/libsublime.so.%{libkdev_major}*

%files
%defattr(-,root,root)
%doc COPYING* README
%dir %{_kde4_appsdir}/kdevsession
%dir %{_kde4_modulesdir}/plugins/grantlee/
%dir %{_kde4_modulesdir}/plugins/grantlee/0.?/
%{_kde4_appsdir}/kdevappwizard/
%{_kde4_appsdir}/kdevclassbrowser/
%{_kde4_appsdir}/kdevcodegen/
%{_kde4_appsdir}/kdevcodeutils/
%{_kde4_appsdir}/kdevcontextbrowser/
%{_kde4_appsdir}/kdevcvs/
%{_kde4_appsdir}/kdevdebugger/
%{_kde4_appsdir}/kdevdocumentswitcher/
%{_kde4_appsdir}/kdevdocumentview/
%{_kde4_appsdir}/kdevexternalscript/
%{_kde4_appsdir}/kdevelop/
%{_kde4_appsdir}/kdevfilemanager/
%{_kde4_appsdir}/kdevfiletemplates/
%{_kde4_appsdir}/kdevgrepview/
%{_kde4_appsdir}/kdevpatchreview/
%{_kde4_appsdir}/kdevproblemreporter/
%{_kde4_appsdir}/kdevprojectmanagerview/
%{_kde4_appsdir}/kdevquickopen/
%{_kde4_appsdir}/kdevsession/
%{_kde4_appsdir}/kdevsnippet/
%{_kde4_appsdir}/kdevsourceformatter/
%{_kde4_appsdir}/kdevstandardoutputview/
%{_kde4_appsdir}/kdevtestview/
%{_kde4_appsdir}/plasma/
%{_kde4_configdir}/kdevappwizard.knsrc
%{_kde4_configdir}/kdevfiletemplates.knsrc
%{_kde4_iconsdir}/hicolor/*/*/*.png
%{_kde4_modulesdir}/plugins/grantlee/*/kdev_filters.so
%{_kde4_modulesdir}/*kdev*.so
%{_kde4_modulesdir}/imports/
%{_kde4_servicesdir}/kcm_kdev*.desktop
%{_kde4_servicesdir}/kdev*.desktop
%{_kde4_servicetypesdir}/kdevelopplugin.desktop
# should be in libexec?
%{_kde4_bindir}/kdev_dbus_socket_transformer
%{_kde4_bindir}/kdev_format_source
%{_kde4_bindir}/kdevplatform_shell_environment.sh

%changelog
* Wed Aug 24 2016 cgiboudeaux@gmx.com
- Rename kdevplatform (KDE4 based) to kdevplatform4.
* Thu Jun 23 2016 buschmann23@opensuse.org
- add fix-for-null-pointer-dereference-with-gcc6.patch to fix bug
  kde#360707 on openSUSE Tumbleweed / GCC6
* Tue Jan 26 2016 wbauer@tmo.at
- Update to 1.7.3
  * No upstream changelog provided
  * Bugfix release
* Tue Dec  1 2015 wbauer@tmo.at
- Update to 1.7.2
  * No upstream changelog provided
  * Bugfix release
- Drop make-subversion-plugin-compile-with-subversion-1.9.patch,
  included upstream
* Tue Nov 17 2015 tittiatcoke@gmail.com
- Drop obsolete requirement on commoncpp2
* Sun Aug 23 2015 hrvoje.senjan@gmail.com
- Added make-subversion-plugin-compile-with-subversion-1.9.patch
* Tue Feb 10 2015 lbeltrame@kde.org
- Update to 1.7.1
  * No upstream changelog provided
  * Bugfix release
* Wed Aug 27 2014 hrvoje.senjan@gmail.com
- Update to 1.7.0
  * No upstream changelog provided
  * Last feature release based on kdelibs4 and Qt4
- Bump kdevelop_version to 4.7.0
- Bump libkdev_major to 8
- Use kde4 macros for includes, kdevplatform respects kdelibs4 includes
* Sat Dec  7 2013 cgiboudeaux@gmx.com
- Update to 1.6.0
  No changelog provided
* Thu Oct 31 2013 dmitry_r@opensuse.org
- Update to version 1.5.2
  * Disable color output for git-pull call
  * Make sure delayedModificationWarningOn() is always called as a slot
  * Use relativePath instead of relativeUrl to properly display spaces.
  * Cleanup and fixup ProjectUtils to not leak and not trigger crashes.
  * Add "--force" to git-rm call
  * Fix crash / odd behavior in project tree view
  * Fix uninitialized value found by valgrind
  * Fix crash when re-loading the file manager plugin
  * Fix licensing mistake in output view
* Sun Oct 27 2013 hrvoje.senjan@gmail.com
- Adjust filelists, so it builds on 12.2
* Thu May 30 2013 dmitry_r@opensuse.org
- Update to version 1.5.1
  * Fix possible crash in IBreakPointController
  * Fixup "Fetch Project" dialog
  * Rename some methods
  * Check for QtWebKit.
  * Use macro_log_feature for Grantlee.
  * Minor: Strip whitespace
  * Make "Create new class" preview aware of C++ specific variables.
  * Raise kdelibs dependency to 4.7
  * Fix crash in OutputExecutejob
  * RunController: Fix dialog stacking
  * Fix codeutils plugin, restoring Document/Rename Declaration.
  * Fix another implicit conversion to QString
  * React on errors of VcsJob
  * GitPlugin: Do basic check if remote-url is valid
  * Be more careful when accessing QList
  * Avoid crash in VcsEventModel for Git
  * Minor: Remove debugging output
  * Enforce picking up of the right plugin, otherwise we got two
    (plasmoid launcher and application) and the first one was used
    (plasmoid launcher) for native apps as well. That resulted in
    broken build & execution of the project.
  * i18n: fix singular
  * Add missing Messages.sh files
* Mon May 13 2013 hrvoje.senjan@gmail.com
- Obsolete libkdevplatform0 with libkdevplatform7
* Fri Apr 26 2013 dmitry_r@opensuse.org
- Update to version 1.5.0
  * Unit tests improvements
  * Improved file/project templates support
  * C++ support improvements
* Mon Dec  3 2012 dmitry_r@opensuse.org
- Update to 1.4.1
  * Don't allow to delete the project root, i.e. by pressing DEL.
  * Do not store const& to a shared pointer of AbstractType.
  * Fix C++ code completion bug: don't insert a ";" if there's already one
  * Fix some strings in execute script
  * Improve performance of context menu for git versioned projects
  * Ensure we do not listen to deleted signals for items in skipped folders.
  * Fix build of reviewboardtest.
  * Update copy of FindQJSON.cmake - from kdepimlibs.
  * Add filter lineedit to pick session dialog
* Sun Nov  4 2012 mailaender@opensuse.org
- update to 1.4.0
  * Fix a regression of AliasDeclaration handling in DUContext::findLocalDeclarationsInternal.
  * Add dots to lex/yacc file patterns.
  * Only handle document model once, not once for every top row.
  * Make it possible to show the history of CVS folders without crashing.
  * Fix conditional, reported by CppCheck
* Mon Sep 10 2012 wstephenson@suse.com
-update to 1.3.90 (1.4RC1)
  * Reviewboard: Disable the "OK" button of the export-dialog
    if no repository is selected.
  * Reviewboard: Improve usability of the reviewboard dialog
  * Debugger: when entering paused state set current frame to none
  * Debugger: Support unknown breakpoint hit count
  * Properly identify faulted executions in the CommandExecutor
  * Fix memory leak
  * Fix downstream builds.
  * Fix memory leaks of Ui objects.
* Tue Apr 17 2012 wstephenson@suse.com
- update to 1.3.1
  * no changelog
* Tue Mar 13 2012 wstephenson@suse.com
- update to 1.3.0:
  * more fixes to gcc 4.7 and cvstest in regard to macro handling
  * Only store katepart session information for the last 20 files
  * cleanup includes
  * Give a warning and return false on isTextDocument if the
    text-document is not properly initialized.
  * Translate session picker
  * Save and reload settings exposed by katepart per file
  * skip files that are larger than 5MiB during parsing
  * Activate the new active view through the main-window after
    switching working-set, to get the correct focus.
  * Don't disable updates while changing working-sets. There seems
    to be a bug in Qt which can cause the updates to stay disabled
    forever, ignoring setUpdatesEnabled(true).
  * Fix a regression caused by the introduced quickopen-timer which
    led to the previous quickopen-filter being used instead of a blank one.
  * fix serious memory leak of kate documents
  * Calling toString() is very slow, use the native way of filtering
    empty identifiers.
  * optimize: .contains && .value can be reduced to a single call to
    .value()
  * fallback to document-controller when looking for a mimetype of
    files without a file extension
  * optimize: apply quickopen filter after 150ms timeout
  * delay calls to QuickOpenModel::restart
  * hide quickopen project items with empty identifier
* Thu Aug 18 2011 toddrme2178@gmail.com
- Added check for duplicate files (fix for RPMLINT warning)
- Cleaned up spec file formatting
* Wed Jun 29 2011 javier@opensuse.org
- update to 1.2.3
  * Make declarations from macros get appended instead of
    prepended.
  * make sure we don't crash on (broken?) declarations without
    internal context in create class wizard
  * Fix black scrollbars in context browser views.
  * step into/over instruction did the wrong thing
  * Fix more clang build errors.
  * In AppendedList, qualify call to KDevVarLengthArray::append
    with 'this'.
  * calling PTHREAD_MUTEX_INITIALIZER  is not nessary because
    pthread_mutex_init() does the work, also it causes compile
    error on some systems (cherry picked from commit
    7d8c4d89b981680b77d547c7a2e2b64a56b2b098)
  * try to protect against crash triggered by nested event loops
    and failing svn jobs
  * fix: left-hand operand of comma has no effect
  * remove IRequired=IStatus from grepview
* Fri Jun 24 2011 javier@opensuse.org
- update to 1.2.2
  * Fix crash when kate (or other editor) is not found
  * prevent assert in outdated annotation line
  * connect to proper signal
  * Remove 'mutable' from reference variables.
* Thu Apr 28 2011 idoenmez@novell.com
- Add kdevplatform-1.2.0-gcc46.patch to fix compilation with gcc 4.6
* Mon Jan 24 2011 wstephenson@novell.com
- update to 1.2.0
  * remove warning that is triggered whenever the cleanup asserts
    for a proper removal
  * Save the status of the 'Use lower case filenames' checkbox for
    next time. Defaults to ticked as before.
  * Rehash every time, we can change the repository between calls,
    so it has to be calculated every time.
  * Don't display all commits in the OutputView.
  * don't an add infinite number of rows of output, instead limit
    to 50k lines and only keep the most recent ones
  * Fix Patch review closes all open documents from other worksets
    (bko#263021)
  * Only try creating one parse-job at a time. If more parse-jobs
    need to be created, queue an event to re-try. This way, the UI
    stays responsive when many many files we cannot handle are iterated.
  * Delete the view _after_ emitting "viewRemoved(..)".
    This fixes a possible crash, because the working-set will call "view->document()" in the connected slot.
  * Also use the cache if the cached list is "empty", it means that
    no mimetype could be determined.
* Sat Jan 15 2011 wstephenson@novell.com
- update to 1.1.90
  * fix compilation for some compilers
  * Don't care about navigation tooltips when a context-browser view
    is visible, the view will handle this alone
  * regression fixes to context browser plugin refactor
  * Clear the file-modification cache instantly when the user has
    saved the file in the editor.
  * Don't completely ignore the retrieved top-context if it is still
    flagged to require an update. Instead, simply show a warning message
    on the status bar. (TODO: Find out why the update flag is not correct)
  * Exclude the "." when extracting the extension
  * Move qHash of {Cursor,Range}InRevision into the KDevelop NS too.
  * Move qHash overload for SimpleRange and SimpleCursor into the
    KDevelop NS.
  * make sure we generate colors in the ctor (undelayed)
  * Introduce a fallback cache based on the file extension for
    LanguageController::languagesForUrl
  * use full canonical file path for urls in duchainify, required for
    isLocalFile checks to succeed
  * append _STATIC to macros in appendedlist_static.h to prevent clash
    with appendedlist.h, should fix compilation in
    KDE4_ENABLE_FINAL=ON mode
  * Do not mess with other active working sets when calling for a
    review. BUG: 260663
  * properly emitResult when internal SVN job failed, prevents
    indefinite wait in isVersionControlled on invalid URLS
  * Simplify code in DUContextDynamicData assertion.
* Sun Nov 21 2010 tittiatcoke@gmail.com
- Update to a new git snapshot to enable build on KDE 4.6 Beta 1
* Tue Oct 19 2010 wstephenson@novell.com
- update to 1.1.0
  * Add missing i18n
  * finally fix 'close all' for all areas
  * Don't add semicolon when autocompleting void function when one
    of ',;)' follows
  * Use the proper icon for debug->run action.
  * ensure that ProjectFolderItem url's have the trailing slash
  * Use KIO::stat rather than KIO::NetAccess::stat so that we can pass
    HideProgressInfo, otherwise a progress dialog would pop up at
    every keystroke while typing the hostname of sftp://hostname.
  * Make launch config enable "Apply" the project target changes.
* Sun Jul 18 2010 beineri@opensuse.org
- update to 1.0.1 bugfix release
* Sat May  1 2010 tittiatcoke@gmail.com
- update to version 1.0 final
  * Don't crash if dynamic_cast fails (bko#235781)
  * Fix progress popups being transparent.
  * More view/tab switching optimizations
  * Make patch review toolview layout (margins/spacing) consistent
    with the rest of KDevelop
  * Set default mainwindow size only when showing "code" area for
    the first time (bko#207990)
  * Fix closing of changed documents. (bko#228774)
  * Turn an assertion into a warning, as this seems to happen
    sometimes.(bko#227675)
* Sat Apr 17 2010 wstephenson@novell.com
- update to 0.10.2
* Fri Apr 16 2010 wstephenson@novell.com
- update to 0.10.1
* Tue Apr  6 2010 wstephenson@novell.com
- update to 0.10.0
* Tue Mar  9 2010 wstephenson@suse.de
- update to 0.9.99
* Fri Feb 12 2010 tittiatcoke@gmail.com
- update to 0.9.98
* Fri Jan 29 2010 llunak@novell.com
- fix file conflict
* Tue Dec 15 2009 tittiatcoke@gmail.com
- update to 0.9.97
* Tue Nov  3 2009 beineri@opensuse.org
- update to 0.9.96
* Fri Aug 21 2009 beineri@opensuse.org
- update to 0.9.95
* Fri Jul 31 2009 beineri@opensuse.org
- fix build with boost 1.39.0
* Sun Jun 28 2009 binner@kde.org
- update to 0.9.94
* Sun May 24 2009 beineri@opensuse.org
- update to 0.9.93
* Thu Mar  5 2009 coolo@suse.de
- fix file list
* Wed Feb  4 2009 dmueller@suse.de
- update to 0.9.91
* Wed Jan 14 2009 stbinner@suse.de
- update to 0.9.85
* Fri Dec 12 2008 dmueller@suse.de
- update to 0.9.84
* Sat Nov 22 2008 stbinner@suse.de
- update to 0.9.83
* Sun Nov  9 2008 stbinner@suse.de
- update to 0.9.82
* Thu Oct  2 2008 dmueller@suse.de
- update to svn867065
* Sat Sep 13 2008 stbinner@suse.de
- update to current SVN version
* Tue May 27 2008 dmueller@suse.de
- update to Alpha2 release (0.91)
